Subject: summary (I): teaching material for computational chemistry

From: [email-masked] (Richard Wong)
Date: Sun, 3 May 1998 22:58:47 +0900

Dear netters,

     Last week I posted a question on the availability of teaching material 
in internet suitable for undergraduate courses in computational chemistry and 
molecular modeling. Many thanks to people who replied to my request. Appended 
below is the summary.

                                                            Cheers! Richard

From: [email-masked] (Francois Savary)
____________________________________________

You can take a look at my WWW Document, it might interest you.
It deals with Molecular Graphics and Rendering techniques.

http://scsg9.unige.ch/eng/toc.html in English
http://scsg9.unige.ch/tabmat.html  in French

hope it helps
Francois

From: [email-masked] (Brian Duke)
_____________________________________________

We have a CAUT grant for doing exactly what you are asking. It is early days however.
Point your browser to http://www.chem.swin.edu.au/CAUT.htnl and you will see where
we are at. If you want any more information, mail me. I would be interested to
hear what you you are planning. I have done a lot of Gaussian work with final
level students here.

Cheers, Brian.

From: [email-masked] (Hens Borkent)
_______________________________________________

In reply to your question I would like to point
to our www page at www.caos.kun.nl which contains
links to html courses 'under development'.
There is one on computational chemistry, albeit
confined to the programs we offer.
See under 'tutorials' on the home page, and
'watch the progress' of the compchem course.
Comments are very welcome!

Hens Borkent
CAOS/CAMM Center

From: [email-masked] (jim Parisi)
________________________________________

Have you tried  "Experiments in Computational Organic Chemistry" by Hehre,
Burke, Shusterman, and Pietro?  If you are interested in a copy, please let
me know.  Thanks!

Jim Parisi
Marketing/Sales Coordinator

From: "Jeffry D. Madura" <[email-masked]>
_______________________________________________________

   I am teaching such a course right now.  I will be placing the lecture 
notes, course outline and homework assignments on Mosaic in the next few 
weeks.  I will send a follow-up e0mail to you and the CCL list when I 
have this done.  You may wish to look at Chapter 4 in vol 4 of Rev. Comp. 
Chem. where we discuss this topic.

     Best Regards,

        Jeffry D. Madura

From: "Wayne Huang" <[email-masked]>
_____________________________________________

Regarding your quest for teaching materials or media, we have
developed some undergraduate computational chemistry materials over the
time which might be related what you asked

(1) Textbook: Warren Hehre, Lonnie Burke, Alan Shusterman & William
    Pietro, Experiments in Computational Organic Chemistry,
    wavefunction, 1993.

(2) CD-Rom: Tom Hehre, Lonnie Burke, Wayne Huang & Warren Hehre,
    Chemistry Disk I, Wavefunction, 1995

(3) Warren Hehre, Wayne Huang, Chemistry with Computation, wavefunction,
    1995.

Currently we are working on a book "Computational Experiments in General
Chemistry". We also offer three-day intensive workshops in Computational
Chemistry which has been helpful for people interested in undergraduate
education.

For workshop info: [email-masked]
For book info: [email-masked]

From: [email-masked]
_____________________________________

I have written and put together a teaching package which can be used to 
illustrate the basic priciples of computational chemistry and quantum mechanics.If you are interested, send me an enote and I'll give you some further info.
Try [email-masked] for other educational science progs.

Hugh

From: [email-masked] (Kimberley Cousins)
__________________________________________________

I posted this a while back.  Hope it helps.

Kimberley Cousins

Date: Tue, 8 Jun 93 14:52:18 -0500
From: [email-masked] (Tony Dueben)
Subject: undergrad computational chem
Sender: [email-masked]

Netters:

As promised, better late than never, summary of responses to
my query about teaching computational chemistry at the
undergraduate level.

Thanks to all who responded by e-mail, phone, or letter.

Anthony J. Duben  ([email-masked])
Center for Molecular Design
Washington University
Campus Box 1099
One Brookings Drive
St. Louis MO 63130-4899
314-935-4672

-------------------------------------------------------------

Henry Rzepa has been using Cache on a Mac and has developed
a lot of material.  He can be contacted --

Dr Henry Rzepa, Dept. Chemistry, Imperial College, LONDON SW7 2AY;
[email-masked] via Eudora 1.3, Tel:+44  71 225 8339, Fax:+44 71 589 3869.

---------------------------------------------------------------

Volume 4 of REVIEWS IN COMPUTATIONAL CHEMISTRY has been published
in the Spring of 1993.  Not every library has a copy of it yet so
you may not be aware of its contents.  It contains a long article
on the topic of teaching computational chemistry at the undergraduate
level.

"Computational Chemistry in the Undergraduate Curriculum"
by Roger L. DeKock (Calvin College),
Jeffry D. Madura (University of South Alabama), Frank Rioux
(St. John's University), and Joseph Casanova (California State
University at Los Angeles).

REVIEWS IN COMPUTATIONAL CHEMISTRY is edited by K. B. Lipkowitz (IUPUI)
and Donald B. Boyd (Lilly Research Laboratories).

Information about Volume 4 (280 pp, ISBN 1-56081-620-1, 1993) can be
obtained from VCH Publishers, Inc., 303 NW 12th Avenue, Deerfield Beach,
Florida 33442.  In the U.S., call 800-367-8249, FAX: 1-800-367-8247; in
Europe, 49-6201-6060, FAX: 49-6201-606328.  Price $79.  With a standing
order for the book series, the price is $65.

------------------------------------------------------------------
Greg Landrum at Cornell has used CaChe software and believes
that it would be suitable in an instructional setting.

-greg Landrum
[email-masked]
------------------------------------------------------------------

Ganesan Ravishanker ([email-masked])
will be teaching a modeling course here at Wesleyan in the Fall and
will use Hyperchem on a 486PC running MS Windows.
HyperChem is marketed by Autodesk.

------------------------------------------------------------------------

For the sake of reminding everyone of a complete set of
notes at the graduate level, recall C. Cramer's earlier e-mail:

Colleagues,

        Given the increased interest in computational chemistry
courses taught at the undergraduate and graduate levels, I
have provided the computational chemistry archive at the Ohio
State Supercomputer Center with an ASCII ftp file containing
the majority of the materials used in the teaching of
Chemistry 8003 here at the University of Minnesota. All
chemistry graduate students are required to take at least two
of three core courses during their first two years, and
Chemistry 8003 is one of these. This core program is new.
Thus, this was the first time 8003 was taught.

        In this posting, I include only the general description (2nd below).
The ftp file is roughly twenty pages long (Microsoft Word
single spaced text only file). Jan has kindly provided me the foolproof
instructions for getting this by either ftp or e-mail (1st below).

        If you access these materials, we would be VERY grateful
to receive your comments.

Christopher J. Cramer
University of Minnesota
Department of Chemistry
207 Pleasant St. SE
Minneapolis, MN 55455-0431
[email-masked]
(612) 624-0859

----------------------------------------------------------------
[][][][][][][][][][][][][][][][][][][][][][][][][][][][][][]

You can obtain the materials (over 40kBytes file) via ftp or by e-mail:

How to get it using FTP:
========================
ftp www.ccl.net   (or ftp 128.146.36.48)
Login: anonymous
Password: Your_email_address
ftp> cd pub/chemistry/comp-chem-courseware
ftp> ascii
ftp> get chem8003.txt
ftp> quit

How to get it using e-mail:
===========================

Send the following message (exactly as written):
   send comp-chem-courseware/chem8003.txt from chemistry
to [email-masked] or [email-masked] and the message containig the
materials will be forwarded automatically to your electronic mailbox.

----------------------------------------------------------------
[][][][][][][][][][][][][][][][][][][][][][][][][][][][][][]

Chemistry 8003 was a one quarter, four credit course. It met
30 times in ten weeks for one hour each class. The classroom
included a Mac IIsi on the ethernet hooked to a large-screen
projector for demos. The course was taught for the first time
in the Winter Quarter of 1992.

Attached are the course syllabus, outline, problem sets,
handouts, and the final exam and final assigned paper.
Literature articles were used heavily for discussion; the
references are included in the course outline. The attached
materials are not copyrighted, and we encourage their use by
any organization or individual so inclined. Certain handouts
did not lend themselves to ASCII reproduction, and are not
included.

The 39 students (and roughly 15 auditors) had access 12 hours
per day to a microcomputer lab. The software used in the
course included PCModel, running on IBM 386 clones and
Macintosh IIci's (we preferred the latter), AMSOL v.3.0.1 and
Gaussian92. The latter two program suites were run on an IBM
RS/6000 model 560. Communication with the workstation used
NCSA Telnet v.2.5 for Macintosh. Students also had access to
Microsoft Word 5.0, ChemDraw 3.0 and Chem3D 3.1 all running
on Macs. All software was obtained under the appropriate
license agreements except AMSOL and NCSA Telnet, which are
currently public domain. Problem sets were completed by
groups of two, the final exam and critical analysis paper
were individual projects.

Some overall impressions were:

1) our syllabus was a bit ambitious given the time
constraints -- we cut a few things down, although we still
tried to cover all topics.

2) We converted about 5-10% of the class to computational
chemistry, inspired another 25-30% to start using some
modeling software in their experimental research, left
another 50% with a demonstrably larger (and perhaps even
appreciated) understanding of computational chemistry, and
the remainder left with the same prejudices against theory
with which they came in.

3) As a rule, physical chemists thought there wasn't enough
theory, organic chemists thought there was far, far too much
theory, inorganic chemists felt slighted that so few
techniques existed to treat metals effectively , and
biological chemists wondered who cared about small molecules
anyway.

4) More workstation power would have been nice.

5) As far as the course text(s), Clark is very out of date at
this point with regard to ab initio HF theory, fairly out of
date with regard to semiempirical MO theory, but still quite
reasonable for molecular mechanics and technical issues like
Z-matrices, etc. Hehre, Radom, Pople and Schleyer was placed
on reserve for the class, but deemed a bit too expensive and
technical to be a required textbook. The same was true for
the Reviews in Computational Chemistry series edited by Boyd
and Lipkowitz.

  -- With the exception of the conversion to comp. chem. rate
(which we never expected to be so high!), all of these things
were about what we expected, and we were pleased with the
initial offering of the course. Obviously, we hope to improve
on this in future years.

Christopher J. Cramer
Steven R. Kass

-------------------------------------------------------------

Rozeanne Stecker ([email-masked]) has been teaching such
a course for the past four years.
------------------------------------------------------------

Tom Cundari at Memphis State ([email-masked]
has begun teaching such a course at the upper division undergrad/.
lower division grad level.

He has taken what may be an unorthodox approach in that he has used
no texts, no handouts, tests or anything.  He subdivides the students
into groups and has them work on projects where the
chemistry is of interest to them.  As most of undergrads do research
with the profs here at MSU, they have some feel for what they find
interesting and what they would like to calculate (some feasible; some not).  Th
e only requirement
is to write a paper in JACS format abut their project: successes, failures,
what new chemistry the learned, what could be done (or avoided)
for the future, etc.
        By taking the "learn by doing" approach it is more work (for students
and prof), but he believes that the approach is more realistic than
giving canned projects or just lecturing on the laws of quantum mechanics.
The benefits are 1) the students are forced to work together as a team,
crucial in modern research.  2) the students are given ample opportunity
to screw up (no amount of lecturing can reinforce what one simple
deletion of a full days work can!) and discover (e.g., why does MOPAC
work for this and not that; what can be calcd. and what can't and why?),
3) being in the lab is just plain more fun than sitting in lecture!
        The main deficit in addition to the extra work is that the class will
fail for students who are not self motivated.  They have been fortunate
in that this has not been a problem.
        Some of the projects have turned out to be quite neat.
Perhaps the best thing from his point of view is that nearly all of the
projects correlate with experimental research going on in the Chemistry
Department at  Memphis State (either that of the students taking the
courses or their fellow students).

Examples:
        "A Semi-empirical Study of Homoaromaticity in Nitrogen-Substituted
Carbocycles;"
        "A Semi-empirical Study of the Synthesis of Potential Drugs and a
Comparison of the Stabilities of Ene-amine and Imine Tautomers;"
        "Designing New Cyclopentadienyl Ligands with Chelating Substituents;"
        "A Computational Study of Spin-Density Patterns in Substituted
Dihydropyrazine Cation Radicals;"
        "An Ab-initio Investigation of Transition and Lanthanide Metal
Catalyzed Hydrogen Exchange in the Presence of an Electric Field;"
        "An Ab-initio Investigation of Metal-Sulfido Bonding;"

        Future modifications:
 First, introduce more cutting edge technology, in particular parallel
 computing access.  Second, induce/force/coerce more of
the computational students into taking the class, even though they know
most of this already!  This gives the exptl.  folks an anchor for the
first few weeks while  learning the mechanics of the programs;
it also forces the comp. chem. people to talk to exptlsts.
(and vice versa) and gives everyone a better comprehension for the
problems of each other and what it takes to solve these
problems and get the job done.

Hardware Resources:
        3 RS-6000 550's; 2 VAX mainframes; a DECstation 3100,
and attendant PCs and Macs to serve as front end GUIs and
back end data analysis stations.

Student Prerequisites:
        The students must have at least taken up to the first semester of
P. Chem.  All I really want is for them to have an open mind to the potential
of comp. chem. to act as an aid to traditional experimental research.
        The class is taught in a fashion which resembles the
running of a research group.  The students stop by usually with a day or so
notice and work for 3-5 hours at a clip.  It is very informal and we have been
lucky to have independent students who can handle this set up and who when
they run into problem call me or get a book out and learn how to assign a
point group, the diff. between ROHF and UHF, why MOPAC doesn't work for
TMs, etc.  and related discoveries.
        Since we have some very good comp chem grad students between
Henry Kurtzand myself it has been like having full time TA's to get
the exptl. folks up to speed as quickly as possible.
        I will be very interested to see how others have tackled the
problems of teaching a comp chem class.

[We have limited ourselves to the programs MOPAC (because of its relative
ease of use and applicability to large organic systems) and GAMESS
(because I am familiar with it and it forces the students to know
how to assign point groups!).]

-----------------------------------------------------------------

Brian Duke ([email-masked]) and Brian O'Leary
carried out a survey last year of what is going on in this area and there
is quite a lot. Unfortunately both have massive teaching loads at
present and analysing the results keeps getting postponed.  They
hope to write it up for J Chem Ed.

Brian Duke teachs a final level course (or unit as we call them in Australia)
here that includes comp chem, but mainly comp quantum chem - use of
ab initio (GAUSSIAN), Huckel, EHM,etc. This goes down quite well. I
would like to broaden the Comp Chem material, but it is also the only
final year Phys Chem and it includes Stat Mech, Spectroscopy, general
Quant Chem etc.

---------------------------------------------------------------

>From Jeffry Madura([email-masked]):

   Attached below is a copy of my syllabus for the course I teach here at the
Univ. of South Alabama.

%% This document created by Scientific Word (R)

\documentstyle[12pt,qqaalart]{article}

\author{Jeffry D. Madura}
\title{Computational Chemistry
}
\input tcilatex

\begin{document}

\maketitle
The application of computational chemistry methods to solve problems in
chemistry and biology will be discussed. Topics to be covered in the course
include {\it ab initio}, density functional, semiempirical, and empirical
methods, molecular modeling, and molecular and protein dynamics. Each of the
above topics will be reinforced through the use of the latest software
available on the ASN supercomputer and the IBM workstations located in the
Chemistry Department.

\medskip\

\TeXButton{Text}
{\begin{tabular}{p{5.5in}}
\centerline{{\bf Text}} \\
"A Computational Approach to Chemistry" David M. Hirst,
         Blackwell Scientific Publications, Oxford, 1990. \\
"A Handbook of Computational Chemistry: A Practical Guide
         to Chemical Structure and Energy Calculations" Tim Clark,
         Wiley-Interscience, 1985. \\
"Dynamics of Proteins and Nucleic Acids" J. A. McCammon and
          S. C. Harvey, Cambridge University Press, Cambridge, 1987. \\
"Proteins: A Theoretical Perspective of Dynamics, Structure,
         and Thermodynamics" C. L. Brooks III,
         M. Karplus, and B. M. Pettitt,
         Wiley Interscience, 1988. \\
"Molecular Mechanics" U. Burkert and N. L. Allinger, American
         Chemical Society, 1982. \\
 "Learning the UNIX Operating System" O'Reilly and Associates, Inc.,
         1987. \\
"Computational Chemistry Using the P.C." Donald W. Rogers, VCH,
         1990. \\
"Computer Modeling of Chemical Reactions in Enzymes and Solutions",
        Arieh Warshel, Wiley, 1991. \\
"Molecular Dynamics Simulation: Elementary Methods" J. M. Haile,
         Wiley, 1992.
\end{tabular}
}

\medskip\

\TeXButton{Programs}
{\begin{tabular}{lp{3.25in}}
\multicolumn{2}{c}{{\bf Software}} \\
 HyperChem  & Molecular modeling program that runs on the
                      PC. \\
QUANTA/CHARMm & Molecular modeling program that runs on the
                       IBM. \\
Gaussian 92  & {\it ab initio} program that runs on the
                      ASN Cray. \\
SPARTAN 2.0 & {\it ab initio} program that runs on the IBM. \\
DMol 2.2 & Density Functrional program that runs on the IBM. \\
UHBD & Electrostatics and Brownian Dynamics program that runs on
                      the IBM and ASN Cray. \\
MS Word & Word processing program that runs on
                            a PC. \\
MS Excel 4.0 & Spreadsheet program that runs on
                            a PC. \\
MS FORTRAN 5.1 & Programming language that runs on
                            a PC. \\
\end{tabular}
}

\medskip\

\TeXButton{Syllabus}
{\begin{tabular}{ll}
\multicolumn{2}{c}{{\bf Material to be Covered}} \\
Topic & Laboratory Topic \\
\\
{\it ab initio} methods & {\it ab initio} experiment \\
& Gaussian 92 calculation or SPARTAN \\
\\
Density Functional methods & DFT experiment \\
& using DMol 2.2 \\
\\
Semiempirical methods & Semiempirical experiment \\
& MNDO and AM1 calculation \\
& using HyperChem or SPARTAN \\
\\
Empirical methods & Empirical application \\
& Extended H\"uckel calculation\\
& using HyperChem \\
\\
Molecular Mechanics & Energy minimization application \\
& using HyperChem or SPARTAN \\
\\
Molecular Dynamics & Molecular dynamics application \\
& using HyperChem or QUANTA \\
\\
Protein Dynamics & Protein dynamics application \\
& using HyperChem or QUANTA \\
\\
Electrostatics & Electrostatic calculation \\
& using in house program (UHBD) \\
\\
Brownian Dynamics & Calculate diffusion-controlled \\
                             & rate constant by writing a simple \\
                             & FORTRAN program \\
\end{tabular}
}

\bigskip\

\begin{center}
{\bf Guidelines}
\end{center}

\medskip\

Since this is a ``Directed Studies'' type of course the following guidelines
will be enforced.

\begin{itemize}
\item  Eleven (11) laboratory units covering the topics outlined above must
be completed within the quarter. It is suggestted that two units be
completed each week and handed in within one week of finishing the
laboratory.

\item  The laboratory report will have the following sections

\begin{itemize}
\item  abstract

\item  introduction

\item  computatioanl method

\item  results

\item  discussion and conclusions

\item  references

\item  answer to questions
\end{itemize}

\item  Each experiment should take 2-3 hours to execute on the computers.

\item  It is anticipated that each laboratory should take approximately 2
hours to write.

\item  Preparation time, i.e. becoming knowledgable about the topic, should
take about 6-8 hours.

\item  Arrange a time in which I can sit down with you for about 1 hour to
discuss any problems or explain what is going on.
\end{itemize}

\end{document}

 ++~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~++
 ||         __  |\          Dr. Ming Wah (Richard) Wong                   ||
 ||        /  |_| \         ----------------------------------------------||
 ||      .'        \        Department of Chemistry                       ||
 ||     /          *\       The University of Queensland                  ||
 ||     \     __    /       Brisbane, Qld 4072, Australia                 ||
 ||      \_.-'  \_ /        Fax: +61 7 365 4299 | Phone: +61 7 365 3829   ||
 ||               v         email address: [email-masked]   ||
 ++~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~++